Skip to main content

Metrics API

Overview​

Coralogix provides a Metrics API,. granting you access to all metrics you’ve sent to Coralogix. This API supports two primary use cases: querying metrics data programmatically and acting as a PromQL-compatible query data source (e.g., as a Grafana Prometheus data source).

Authentication​

Each HTTP request must include an Authorization header with a value Bearer <API-Key>. Configure a customized API key with the DataQuerying role preset or Query Metrics permission: metrics.data-api#high:ReadData. For more details, refer here.

Alternatively, you may use the Legacy Logs Query API Key.

Querying metrics data programmatically​

Prometheus-compatible API request​

Include the following in your API request:

HeaderAuthorization: Bearer <API-Key>
URLSelect the https://api./metrics Metrics endpoint that corresponds to your Coralogix domain using the domain selector at the top of the page.

Examples​

Ensure you update your Coralogix domain and API key in the following examples.

Instant Metric Query

Evaluates an instant metric at a defined single point in time.

curl --location --request GET 'https://api.eu2.coralogix.com/metrics/api/v1/query?query=vector(1)' --header 'Authorization: Bearer <API-Key>'

PromQL-compatible query data source​

Grafana Prometheus data source​

Configure a Prometheus data source in Grafana:

STEP 1. Navigate to Home > Connection > Add new connection. Enter Prometheus data source.

STEP 2. Click Add new data source.

STEP 3. Input the following fields:

Connection

  • Prometheus server URL: Choose the https://api./metrics endpoint that corresponds to your Coralogix domain using the domain selector at the top of the page.

Authentication

  • HTTP headers:
    • Header: Authorization

    • Value: Bearer <API-Key> (as mentioned in the Authentication section above)

Advanced Settings

  • Performance
    • Prometheus type: Prometheus

    • Prometheus version: 2.24.x

STEP 4. Click Save & test. You should receive a message confirming a successful query to the Prometheus API.

Find out more here.

API support​

Supported APIs​

The following are examples of supported APIs for HTTP methods GET and POST.

APIDescription
/api/v1/queryInstant query
/api/v1/query_rangeRange query
GET /api/v1/label/<label_name>/valuesQuerying label values
GET /api/v1/labels POST /api/v1/labelsGetting label names
GET /api/v1/series POST /api/v1/seriesFinding series by label matchers

Details on how to use supported APIs can be found here.

Unsupported APIs​

The following are examples of unsupported APIs for HTTP methods GET and POST.

APIDescription
GET /api/v1/alertsReturns a list of all active alerts
/api/v1/query_exemplarsQuery exemplars for a specific series over time
GET /api/v1/rulesReturns a list of alerting and recording rules
GET /api/v1/targets/metadataReturns metadata about metrics from targets

Additional resources​

External DocumentationPrometheus API
Last updated on
On this page
Was this page helpful?